### Method

# Camel MimeMessage set_recipients

#### Declaration [src]

    void
    camel_mime_message_set_recipients (
      CamelMimeMessage* message,
      const gchar* type,
      CamelInternetAddress* recipients
    )

#### Description [src]

Set the recipients of a message.

#### Parameters

`type`

  Type: `const gchar*`

  Recipient type (one of #CAMEL_RECIPIENT_TYPE_TO, #CAMEL_RECIPIENT_TYPE_CC, or #CAMEL_RECIPIENT_TYPE_BCC).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`recipients`

  Type: `CamelInternetAddress`

  A `CamelInternetAddress` with the recipient addresses set or `NULL` to remove the already defined one.

  The argument can be `NULL`.
  The data is owned by the caller of the method.